%define _provides_exceptions font\(.*\)\\|font\(:lang=.*\)

Summary:	WYSIWYG musical score editor and frontend for Lilypond
Name:		denemo
Version:	0.9.6
Release:	%mkrel 4
Source0:	http://ftp.gnu.org/gnu/denemo/%{name}-%{version}.tar.gz
URL:		http://www.denemo.org/
License:	GPLv2+
Group:		Publishing
Requires:	lilypond
Requires:	TiMidity++
Requires:	playmidi
Requires:	fluidsynth
BuildRequires:	pkgconfig(aubio) >= 0.3.2
BuildRequires:	pkgconfig(fftw3) >= 3.1.2
BuildRequires:	pkgconfig(fluidsynth) >= 1.0.8
BuildRequires:	pkgconfig(fontconfig) >= 2.2.0
BuildRequires:	pkgconfig(gtk+-2.0) >= 2.0.3
BuildRequires:	pkgconfig(gtksourceview-3.0) >= 3.0
BuildRequires:	pkgconfig(guile-1.8) >= 1.8
BuildRequires:	pkgconfig(librsvg-2.0) >= 2.0
BuildRequires:	pkgconfig(libxml-2.0) >= 2.3.10
BuildRequires:	pkgconfig(portaudio-2.0) >= 19
BuildRequires:	pkgconfig(samplerate) >= 0.1.2
BuildRequires:	pkgconfig(evince-view-3.0)
BuildRequires:	portmidi-devel
BuildRequires:	desktop-file-utils

%description
Denemo is the GNU graphical musical score editor, and serves as a frontend
to Lilypond. Besides lilypond, it can also export music into ABC format.
as well as handling Csound score files playback and MIDI playback.

%prep
%setup -q

%build
%configure2_5x --disable-static --with-included-smf
%make

%install
%makeinstall_std

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="GTK" \
  --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*
%find_lang %name

%files -f %name.lang
%doc AUTHORS ChangeLog NEWS README*
%{_bindir}/%{name}
%{_bindir}/denemo_file_update.sh
%config(noreplace) %{_sysconfdir}/%{name}
%{_datadir}/%{name}
%{_datadir}/fonts/truetype/%{name}/*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png


%changelog

* Mon Mar 11 2013 lmenut <lmenut> 0.9.6-4.mga3
+ Revision: 402108
- add exception in order to not provide font(*) & font(:lang=*)
  b/c arch packages shouldn't provide fonts (mga #8820c4)

* Fri Jan 11 2013 umeabot <umeabot> 0.9.6-3.mga3
+ Revision: 348722
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Nov 29 2012 malo <malo> 0.9.6-2.mga3
+ Revision: 322761
- update RPM group

* Sat Sep 22 2012 sander85 <sander85> 0.9.6-1.mga3
+ Revision: 296582
- New version: 0.9.6

* Wed Sep 19 2012 sander85 <sander85> 0.9.4-1.mga3
+ Revision: 296204
- New version: 0.9.4

* Thu Dec 29 2011 fwang <fwang> 0.9.2-1.mga2
+ Revision: 188567
- fix build with latest glib
- new version 0.9.2

* Fri Jun 17 2011 kharec <kharec> 0.9.0-1.mga2
+ Revision: 109274
- new version 0.9.0
- Add a BR on librsvg2-devel

* Sat Jan 08 2011 kharec <kharec> 0.8.20-1.mga2
+ Revision: 1178
- imported package denemo
- Created package structure for denemo.


* Thu Oct 21 2010 Sandro Cazzaniga <kharec@mandriva.org> 0.8.20-1mdv2011.0
+ Revision: 587147
- new version 0.8.20
- fix file list

* Mon Jul 12 2010 Sandro Cazzaniga <kharec@mandriva.org> 0.8.18-1mdv2011.0
+ Revision: 551226
- update to 0.8.18

* Sun May 02 2010 Sandro Cazzaniga <kharec@mandriva.org> 0.8.16-2mdv2010.1
+ Revision: 541666
- hopefully fix #59041

* Mon Apr 12 2010 Sandro Cazzaniga <kharec@mandriva.org> 0.8.16-1mdv2010.1
+ Revision: 533696
- new version 0.8.16
- drop p0, not needed anymore (fix-str-fmt)

* Mon Mar 29 2010 Sandro Cazzaniga <kharec@mandriva.org> 0.8.14-2mdv2010.1
+ Revision: 528876
- remove %%post and %%postun
- don't define version and rel in top of spec.
- remove useless space in spec

* Sun Mar 07 2010 Sandro Cazzaniga <kharec@mandriva.org> 0.8.14-1mdv2010.1
+ Revision: 515563
- New version 0.8.14
- drop old patches
- add a patch for fix string format, sent upstream.

* Tue Feb 09 2010 Sandro Cazzaniga <kharec@mandriva.org> 0.8.12-1mdv2010.1
+ Revision: 503384
- fix build
- rebuild
- fix build
- fix mkrel
- Fix url tag
- Update to 0.8.12
- Remove "beta1"
- Fix build

* Mon Nov 30 2009 Jérôme Brenier <incubusss@mandriva.org> 0.8.10-1mdv2010.1
+ Revision: 471958
- BuildRequires : libgtksourceview-2.0-devel
- new version 0.8.10

* Wed Sep 09 2009 Emmanuel Andry <eandry@mandriva.org> 0.8.8-1mdv2010.0
+ Revision: 435822
- New version 0.8.8
- diff P0 to fix string format not literal

* Mon May 25 2009 Funda Wang <fwang@mandriva.org> 0.8.2-2mdv2010.0
+ Revision: 379355
- fix requires

* Sat Mar 07 2009 Emmanuel Andry <eandry@mandriva.org> 0.8.2-1mdv2009.1
+ Revision: 350673
- New version 0.8.2
- drop P0
- BR guile-devel

* Thu Aug 21 2008 Emmanuel Andry <eandry@mandriva.org> 0.7.9-1mdv2009.0
+ Revision: 274560
- drop X-MandrivaLinux category
- BR portaudio-devel
- New version
- fix license
- drop patch 1
- update file list
- BR aubio-devel

* Thu Jun 12 2008 Pixel <pixel@mandriva.com> 0.7.6-1mdv2009.0
+ Revision: 218424
- rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

  + Thierry Vignaud <tv@mandriva.org>
    - drop old menu
    - kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot


* Thu Dec 28 2006 Lenny Cartier <lenny@mandriva.com> 0.7.6-1mdv2007.0
+ Revision: 102230
- Update to 0.7.6

* Thu Oct 26 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.7.5-4mdv2007.1
+ Revision: 72821
- Rebuild
- import denemo-0.7.5-3mdv2007.1

